######################################################################################
###### Here's some TCL code by Wr0ngWay to give OIRC some extra functionality  #######
######################################################################################


######################################################################################
###############################  User Defined Settings  ##############################
######################################################################################

set Irie-Version 0.1i


set LOADED 0
on load {
    if {$LOADED} {return}
    echo "Loading Irie..."
    set idx [lsearch [scripts] "*\\irie.tcl"]
    if {$idx == -1} {
	error "Unable to find path for irie.tcl"
    } else {
	regexp -nocase {(.*)\\irie.tcl$} [lindex [scripts] $idx] a scriptDir

	# Directory and file name to save settings in
	set settingsDir "${scriptDir}/"
	set settingsFile "irie.cfg"
	
	source $scriptDir\\auxil.tcl
	#source $scriptDir\\user.tcl
	#source $scriptDir\\ignore.tcl
	source $scriptDir\\aliases.tcl
	source $scriptDir\\bans.tcl
	source $scriptDir\\away.tcl
	#source $scriptDir\\botop.tcl
	source $scriptDir\\ctcp.tcl
	source $scriptDir\\loadsave.tcl
	source $scriptDir\\topic.tcl
	source $scriptDir\\popup.tcl
	source $scriptDir\\nickc.tcl
	source $scriptDir\\server.tcl
	source $scriptDir\\notify.tcl
	source $scriptDir\\timer.tcl
	source $scriptDir\\xdcc.tcl
    }
    set LOADED 1
    /load $scriptDir\\dummy.tcl
}

######################################################################################
################################  Startup Procedures  ################################
######################################################################################

set CONNECTED 0

on CONNECT {
	set CONNECTED 1
}

on DISCONNECT {
	set CONNECTED 0
}

on LOAD {                    
	/restore "$settingsDir$settingsFile"
}

on UNLOAD {

}




